package com.njcn.prepare.harmonic.enums;

import lombok.Getter;

/**
 * 类的介绍：
 *
 * @author xuyang
 * @version 1.0.0
 * @createTime 2023/12/7 14:32
 */
@Getter
public enum  UploadEnum {

    /**
     * 统计层级
     */
    STATISTICAL_LEVEL_3("3","省"),
    STATISTICAL_LEVEL_4("4","市"),
    STATISTICAL_LEVEL_5("5","县"),

    NJCN_DEPT_LEVEL_1("1","全国"),
    NJCN_DEPT_LEVEL_2("2","省级"),
    NJCN_DEPT_LEVEL_3("3","市级"),
    NJCN_DEPT_LEVEL_4("4","县级"),

    /**
     * 统计类型
     */
    STATISTICAL_TYPE_01("01","年数据"),
    STATISTICAL_TYPE_02("02","月数据"),
    STATISTICAL_TYPE_03("03","日数据"),

    /**
     * 主配网标识
     */
    DISTRIBUTION_FLAG_01("1","主网"),
    DISTRIBUTION_FLAG_02("0","配网"),

    /**
     * 指标类型(01:电压 02:长时间闪变 03:三相电压不平衡 04:电压总谐波畸变率 05:各次谐波电压 06:负序电流)
     */
    INDEX_TYPE_01("01","电压"),
    INDEX_TYPE_02("02","长时间闪变"),
    INDEX_TYPE_03("03","三相电压不平衡"),
    INDEX_TYPE_04("04","电压总谐波畸变率"),
    INDEX_TYPE_05("05","各次谐波电压"),
    INDEX_TYPE_06("06","负序电流"),

    /**
     * 数据来源(01:仅在线监测 02:在线监测与现场测试)
     */
    DATA_SOURCES_01("01","仅在线监测"),
    DATA_SOURCES_02("02","在线监测与现场测试"),

    /**
     * 上送状态(0:未上送 1:已上送)
     */
    UPLOAD_STATUS_0("0","未上送"),
    UPLOAD_STATUS_1("1","已上送"),

    ;

    private final String code;

    private final String message;

    UploadEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }


}
